Description: Replace g_error by g_error_new

Author: Bernhard Ãbelacker <bernhardu@mailbox.org>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Forwarded: no
Last-Update: 2018-09-23
---

--- tracker-2.1.4.orig/src/libtracker-common/tracker-domain-ontology.c
+++ tracker-2.1.4/src/libtracker-common/tracker-domain-ontology.c
@@ -331,7 +331,11 @@ tracker_domain_ontology_initable_init (G
 			path_for_tests = g_strdup (g_getenv ("TRACKER_TEST_DOMAIN_ONTOLOGY_RULE"));
 
 			if (path_for_tests == NULL) {
-				g_error ("Unable to find default domain ontology rule %s", path);
+				inner_error = g_error_new (G_KEY_FILE_ERROR,
+				                           G_KEY_FILE_ERROR_NOT_FOUND,
+				                           "Unable to find default domain ontology rule %s",
+				                           path);
+				goto end;
 			}
 
 			g_free (path);
